Artica Wiki

Network REST API

Modify or query the API Web service on the network theme

The Artica Web API service lets you remotely query Artica's network parameters 

DNS: 

View the content of the resolv.conf ( 4.50 SP1 or 4.50 Hotfix 20240112-15)

GET http://1.2.3.4:9503/system/network/resolvconf
The content is coded to base64 inside the Data field
 

View DNS Artica parameters ( 4.50 SP1 or 4.50 Hotfix 20240112-15)

GET http://1.2.3.4:9503/system/network/resolvconfig

Return a json 

{    
"use_tcp": 0,
  "timeout": 2,
  "attempts": 2,
  "user_rotation": 0,
  "dont_use_local_dns": 0,
  "domains_1": "articatech.int",
  "domains_2": "",
  "domains_3": "",
  "dns_1": "127.0.0.1",
  "dns_2": "192.168.90.10",
  "dns_3": "192.168.90.1",
  "dns_4": "",
  "do_not_use_local_dns_cache": 1
}

Apply DNS configuration ( 4.50 SP1 or 4.50 Hotfix 20240112-15)

Save the /etc/resolv.conf configuration

GET http://1.2.3.4:9503/system/network/resolvapply